dnl $Id: config.m4,v 0.0.0.1 2006/07/01 00:00:00 mikl Exp $
dnl config.m4 for extension wbxml
dnl vim:se ts=2 sw=2 et:

PHP_ARG_WITH(wbxml, for WBXML support,
[  --with-wbxml[=DIR]      Include WBXML support. DIR is the libwbxml install prefix])

if test -z "$PHP_LIBEXPAT_DIR"; then
  PHP_ARG_WITH(libexpat-dir, libexpat install prefix,
  [  --with-libexpat-dir=DIR WBXML: libexpat install prefix], no, no)
fi

if test -z "$PHP_DEBUG"; then
  AC_ARG_ENABLE(debug,
  [  --enable-debug          compile with debugging symbols],[
    PHP_DEBUG=$enableval
  ],[
    PHP_DEBUG=no
  ]) 
fi

if test "$PHP_WBXML" != "no"; then
  AC_DEFINE(HAVE_WBXML, 1, [ ])

  for i in $PHP_WBXML /usr/local /usr; do
    if test -f $i/lib/libwbxml2.$SHLIB_SUFFIX_NAME; then
      WBXML_DIR=$i
    fi
  done

  if test -z "$WBXML_DIR"; then
    AC_MSG_ERROR([install the WBXML library (http://libwbxml.aymerick.com/) or use --with-wbxml=DIR to specify the location.])
  fi

  PHP_CHECK_LIBRARY(wbxml2, wbxml_conv_xml2wbxml_withlen,,[
    AC_MSG_ERROR([failed to find and link against libwbxml2 (http://libwbxml.aymerick.com/)])
  ],-L$WBXML_DIR/lib)

  PHP_ADD_LIBRARY_WITH_PATH(wbxml2, $WBXML_DIR/lib, WBXML_SHARED_LIBADD)
  PHP_ADD_INCLUDE($WBXML_DIR/include)

  for i in $PHP_LIBEXPAT_DIR /usr/local /usr; do
    if test -f $i/lib/libexpat.$SHLIB_SUFFIX_NAME; then
      EXPAT_DIR=$i
    fi
  done

  if test -z "$EXPAT_DIR"; then
    AC_MSG_ERROR([install the Expat library (http://expat.sourceforge.net/) or use --with-libexpat-dir=DIR to specify the location.])
  fi

  PHP_CHECK_LIBRARY(expat, XML_ExpatVersion,,[
    AC_MSG_ERROR([failed to find and link against libexpat (http://expat.sourceforge.net/)])
  ],-L$EXPAT_DIR/lib)

  PHP_ADD_LIBRARY_WITH_PATH(expat, $EXPAT_DIR/lib, WBXML_SHARED_LIBADD)
  PHP_ADD_INCLUDE($EXPAT_DIR/include)

  AC_DEFINE(HAVE_EXPAT,1,[ ])

  if test "$PHP_DEBUG" = "yes"; then
    CFLAGS="$CFLAGS -Wall"
  fi

  AC_DEFINE(WBXML_ENCODER_USE_STRTBL,1,[ ])

  AC_DEFINE(WBXML_SUPPORT_WML,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_WTA,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_SI,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_SL,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_CO,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_PROV,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_EMN,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_DRMREL,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_OTA_SETTINGS,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_SYNCML,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_WV,1,[ ])
  AC_DEFINE(WBXML_SUPPORT_AIRSYNC,1,[ ])

  PHP_SUBST(WBXML_SHARED_LIBADD)
  PHP_NEW_EXTENSION(wbxml, wbxml.c, $ext_shared)
fi
